### Method

# EBackend CollectionBackend freeze_populate

since: 3.38

#### Declaration [src]

    gboolean
    e_collection_backend_freeze_populate (
      ECollectionBackend* backend
    )

#### Description [src]

Freezes populate of the backend’s content. This is used to avoid calling populate multiple times in parallel. Every call to this function should be followed by the call of `e_collection_backend_thaw_populate()` to reverse the effect of this function, regardless of the return value of this function.

Available since: 3.38

#### Return value

Type: `gboolean`

`TRUE`, when this is the first freeze call.